/*# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image
#                        pour la Sant�)
# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
# Previous Authors : Laurent Guigues, Jean-Pierre Roux
# CreaTools website : www.creatis.insa-lyon.fr/site/fr/creatools_accueil
#
#  This software is governed by the CeCILL-B license under French law and
#  abiding by the rules of distribution of free software. You can  use,
#  modify and/ or redistribute the software under the terms of the CeCILL-B
#  license as circulated by CEA, CNRS and INRIA at the following URL
#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html
#  or in the file LICENSE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability.
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------ */

#ifndef WXMARACASSURFACERENDERINGPROP3D_H_
#define WXMARACASSURFACERENDERINGPROP3D_H_

#include "wxMaracasSurfaceRenderingPanel.h"
//#include "wxMaracasRenderImageManagementPanel.h"

class wxMaracasSurfaceRenderingProp3D : public wxMaracasSurfaceRenderingPanel{
public:
	wxMaracasSurfaceRenderingProp3D(wxWindow* parent, int propid, bool _isComplexBox, int _panID);
	~wxMaracasSurfaceRenderingProp3D();
	virtual void createControls();	
	void onOpacityRelease(wxScrollEvent& event);	
	void onCheckBoxChange(wxCommandEvent& event);
	void onCheckBoxSurfaceChange(wxCommandEvent& event);
	void onColorChange(wxCommandEvent& event);
	void onViewImage(wxCommandEvent& event);

	
private:
	wxCheckBox* checkbox;
	wxCheckBox* checkboxsurface;
	wxSlider* opacity;	
	wxBitmapButton* _colorchoose;
	wxBitmapButton* _viewimage;
	//wxMaracasRenderImageManagementPanel* dialog;
};

#endif /*WXMARACASSURFACERENDERINGPROP3D_H_*/
